Bug 186035 - yum repos.crash
yum repos.crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 02:42 EST by Don Hazen
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.99.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 08:35:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum crash (699 bytes, application/octet-stream)
2006-03-21 02:42 EST, Don Hazen
no flags Details

  None (edit)
Description Don Hazen 2006-03-21 02:42:22 EST
Created attachment 126376 [details]
yum crash
Comment 1 Don Hazen 2006-03-21 02:42:22 EST
Description of problem:
addeded repositories from yum.repos.d via yumex
cannot delete addeded repositories from yum.repos.d


Version-Release number of selected component (if applicable):
Component: yumex
Version: 0.99.13

How reproducible:
Every time


Steps to Reproduce:
1. add repo
2. try to delete
3. yumex and yum crashes 
4. you can edit the repo but not delete, k
  
Actual results:
work around is edit teh url blank, tried to edit the yum.repos.d manually, says
cannot open.


Expected results:


Additional info:
omponent: yumex
Version: 0.99.13
Summary: TB2478423a yumexmain.py:258:on_repo_popup:AttributeError:
YumexMainApplication instance has no attribute 'main'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 258, in on_repo_popup
    rc = info_box( self.main, _( "Delete Repository" ), text, cancel=True )
AttributeError: YumexMainApplication instance has no attribute 'main'

Local variables in innermost frame:
iterator: <GtkTreeIter at 0xd38ee38>
text:  Do you want to delete the <b>atrpms</b> repository?
self: <__main__.YumexMainApplication instance at 0xb792226c>
label: _Delete
activeRepo: atrpms
model: <gtk.TreeModelSort object (GtkTreeModelSort) at 0xb7930504>
Comment 2 Don Hazen 2006-03-21 03:08:30 EST
deleted repo manaully thru terminal, as su, must be a yumex issue only
Comment 3 Seth Vidal 2006-03-21 07:26:36 EST
reassigning to yumex
Comment 4 Tim Lauridsen 2006-03-21 07:38:00 EST
The was a bug in yumex 0.99.13, it is fixed in 0.99.14, it will be released very
soon.
Comment 5 Tim Lauridsen 2006-03-22 08:35:00 EST
I have released 0.99.14 today, i will soon popup in Fedora Extras repository

Note You need to log in before you can comment on or make changes to this bug.